Module java.desktop
Package javax.swing.plaf.basic

## Class BasicFileChooserUI.ApproveSelectionAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - javax.swing.plaf.basic.BasicFileChooserUI.ApproveSelectionAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

Enclosing class:
  BasicFileChooserUI

    protected class BasicFileChooserUI.ApproveSelectionAction
    extends AbstractAction

Responds to an Open or Save request

### Field Summary

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

### Constructor Summary

Constructors
`protected` `ApproveSelectionAction()` Constructs an `ApproveSelectionAction`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actionPerformed(ActionEvent e)` Invoked when an action occurs.

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from interface javax.swing.Action

`accept`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ApproveSelectionAction

    protected ApproveSelectionAction()

Constructs an `ApproveSelectionAction`.

### Method Detail

#### actionPerformed

    public void actionPerformed(ActionEvent e)

Invoked when an action occurs.

Parameters:
  `e` - the event to be processed